#!/bin/sh
#---------------------------------------------------------------------------
# /usr/local/mybin/dyndhs.sh - Dynamic hostname configuration
# See http://www.dhs.org
# written by Thomas Mueller <opt-dyndns@s2h.cx>
# Last modified: 2001-07-14 twm
#----------------------------------------------------------------------------

echo "Setting up dynamic hostname ..."

SUBDOMAIN=`cat /var/run/dyndns.subdomain`
DYNDOMAIN=`cat /var/run/dyndns.dyndomain`
SECRET=`cat /var/run/dyndns.secret`
IP=$1

(echo "GET /nic/hosts?hostscmd=edit&hostscmdstage=2&type=4&domain=$DYNDOMAIN&hostname=$SUBDOMAIN&updatetype=Online&ip=$IP HTTP/1.1"
 echo "Host: members.dhs.org"
 echo "Authorization: Basic $SECRET"
 echo "User-Agent: opt_dyndns/0.1.6 me@null.net"
 echo "" ) | /usr/local/bin/netcat members.dhs.org 80

echo ""
echo "done"

exit 0
