#!/bin/sh
#---------------------------------------------------------------------------
# /usr/local/mybin/dyndns.sh - Dynamic hostname configuration
# See http://www.dyndns.org
# written by Thomas Mueller <opt-dyndns@s2h.cx>
# Last modified: 2001-06-16 twm
#----------------------------------------------------------------------------

echo "Setting up dynamic hostname ..."

SUBDOMAIN=`cat /var/run/dyndns.subdomain`
DYNDOMAIN=`cat /var/run/dyndns.dyndomain`
SECRET=`cat /var/run/dyndns.secret`

(echo "GET /nic/update?system=dyndns&hostname=$SUBDOMAIN.$DYNDOMAIN&wildcard=NOCHG&offline=NO HTTP/1.1"
 echo "Host: members.dyndns.org"
 echo "Authorization: Basic $SECRET"
 echo "User-Agent: opt_dyndns/0.1.5 me@null.net"
 echo "" ) | /usr/local/bin/netcat members.dyndns.org 80

echo ""
echo "done"

exit 0
